> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Details

> Get Twitter / X Post Details

<Note>
  **General Instructions:**

  * The `id` **masterID** is required to get access to that Social Account posts.
  * At least one should be used: `postID` or `postURL`
  * Make sure you run **Get Posts & Videos** endpoint at least one time for the month the post was published in before using this endpoint.
  * [Understanding Post Data Handling](/guides/social-media/handling-social-posts)
  * You can check what months already being tracked first [Check Tracked Posts](/api-reference/social-other/check-tracked-posts)
</Note>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "post": [
      {
        "postDetails": {
          "postID": "1920663029978378269",
          "postImage": "https://8cd4d13f-aa75-4a0c-abdb-0f388a983964.selstorage.ru/post_TW:1314968154230214658_1920663029978378269?time=1754242444",
          "videoLink": "https://video.twimg.com/amplify_video/1920662977537085440/vid/avc1/720x1280/ICOiu3vO1mBgoZs3.mp4?tag=21",
          "postUrl": "https://twitter.com/NoCapMediaa/status/1920663029978378269/",
          "dataId": "1314968154230214658_1920663029978378269",
          "date": "09-05-2025",
          "dateISO": "2025-05-09T02:12:05.000Z",
          "likes": 1584,
          "dislikes": 0,
          "comments": 31,
          "rePosts": 108,
          "views": 126266,
          "pollVotes": 0,
          "videoViews": 0,
          "type": "video",
          "types": [
            "video",
            "text",
            "text_small",
            "link"
          ],
          "hashTags": [],
          "text": "Lowkey wild https://t.co/SKlGqcugZT",
          "textLength": 35,
          "fromOwner": true,
          "isAd": false,
          "mentions": [],
          "mentionsText": []
        },
        "postStats": {
          "interactions": 1723,
          "er": 0.000806925981986302,
          "viewsER": 0.0136457953843473,
          "videoViewsER": 0,
          "indexGrade": -8.97174356940204,
          "mainGrade": "d"
        }
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/twitter-post-details
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/twitter-post-details:
    get:
      tags:
        - Workflow
      description: Triggers the workflow twitter-post-details
      operationId: get_wf_twitter-post-details
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get User Account**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: If you would like to include Profile details, set this to `true`
          schema:
            type: boolean
            default: false
        - name: postID
          in: query
          required: false
          description: >-
            Example: postID `1951787277069258956` , To get this use this
            endpoint: **Get Posts**
          schema:
            type: string
        - name: postURL
          in: query
          required: false
          description: >-
            Example: postURL
            `https://x.com/NoCapMediaa/status/1951787277069258956` , To get this
            use this endpoint: **Get Posts**
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````